Subject: bug#66581: Emacs not always redraws while resized in xwayland

From: Po Lu <[email-masked]>
Date: Tue, 17 Oct 2023 08:25:14 +0800

Julien Palard <[email-masked]> writes:

> Dear maintainers,
>
> I'm using emacs-gtk on Gnome with Wayland, with two physical screens of
> different resolution. Emacs gets rendered through xwayland according to
> `xlsclients`.
>
> When I move emacs from one physical screen (of 1280px wide) to
> a larger one (of 1920px wide) it has to resize,
> but sometimes it does not, resulting in a black band on the right:
>
> => https://mdk.fr/x/emacs-not-resizing.png
>
> Once in this state, it starts to behave very strangely when resized:
>
> => https://mdk.fr/x/emacs-not-resizing-bars.png

This is up to GTK, I think, as it performs the resizing of windows as
they migrate between outputs with different scale factors.

Does a no toolkit build exihibit the same issues?